package chapter6;

import java.util.ArrayList;

public class Example01 {
    public static void main(String[] args) {
        ArrayList list = new ArrayList();
        list.add("张三");
        list.add("李四");
        list.add("王五");
        list.add("赵六");
        list.add("钱七");
        list.add("孙八");

        // 获取集合中元素的个数
        System.out.println("元素个数：" + list.size());
        // 取出指定位置的元素
        System.out.println("第2个元素" + list.get(1));
        // 取出所有元素
        for (int i = 0; i < list.size(); i++) {
            System.out.print(list.get(i) + "\t");
        }
        System.out.println();

        // 删除第2个元素
        list.remove(1);
        // 取出所有元素
        for (int i = 0; i < list.size(); i++) {
            System.out.print(list.get(i) + "\t");
        }

        // 计算位置
        System.out.println("\n赵六是第" + list.indexOf("赵六"));

        // 直接打印所有元素，不用手动遍历
        System.out.println(list.toString());
    }
}
